Bug 72036 - rhn-push provides misleading error message
rhn-push provides misleading error message
Product: Red Hat Satellite 5
Classification: Red Hat
Component: Server (Show other bugs)
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Mihai Ibanescu
Fanny Augustin
Depends On:
  Show dependency treegraph
Reported: 2002-08-20 16:26 EDT by Matt Jamison
Modified: 2007-07-31 15:11 EDT (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2002-08-23 12:22:26 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Josef Komenda 2002-08-20 16:26:23 EDT
Description of Problem: rhn-push provides misleading error message when the
channel you are uploading does not exist (due to typo, etc...). It currently
gives a 'Permission Denied' error. Should be something a tad more descriptive.

Version-Release number of selected component (if applicable): see bug 63780
Comment 1 Mihai Ibanescu 2002-08-22 10:56:30 EDT
Hmm. When I pass an arbitrary channel I see:

Error Message:
    You are not allowed to perform administrative tasks on the channel
Error Class Code: 4
Error Class Info: Permission denied.
     An error has occurred while processing your request. If this problem
     persists please submit a bug report to rhn-help@redhat.com.
     If you choose to submit the bug report, please be sure to include
     details of what you were trying to do when this error occurred and
     details on how to reproduce this problem.

The channel may be there and you are not allowed to edit it, or it may not be
there at all; FWIW, I consider it the same case. Is that wrong?
Comment 2 Josef Komenda 2002-08-22 12:56:04 EDT
The problem was encountered when a user made a typo on the channel name, and
received the 'Permission denied' error. I think it would be helpful to
differentiate between 'You aren't allowed to' and 'I can't find the channel you
asked for'. (If that's possible)
Comment 3 Mihai Ibanescu 2002-08-22 18:36:27 EDT
gdk suggested the differentiation would be dangerous.
Changed to:

Insufficient privileges or channel %s does not exist
Channel error
Comment 4 Josef Komenda 2002-08-23 13:59:55 EDT
Fixed in latest version, Closing.

Note You need to log in before you can comment on or make changes to this bug.